<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__capsense__macros__general" kind="group">
    <compoundname>group_capsense_macros_general</compoundname>
    <title>General Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__capsense__macros__general_1ga104c621005040ae8af24f65224291585" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_MW_VERSION_MAJOR</name>
        <initializer>(2)</initializer>
        <briefdescription>
<para>Middleware major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="47" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="47" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1gad6ec980865b471c2f2dfb2cdc35d4c2b" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_MW_VERSION_MINOR</name>
        <initializer>(10)</initializer>
        <briefdescription>
<para>Middleware minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="49" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="49" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1ga59b36b476019e5ba3efbf23db693afc0" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_MW_VERSION</name>
        <initializer>(210)</initializer>
        <briefdescription>
<para>Middleware version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="51" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="51" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1gae3c1bba4e246712abae8a73ff3be3f99" kind="define" prot="public" static="no">
        <name>CY_CSD_DRV_VERSION_REQUIRED</name>
        <initializer>(100)</initializer>
        <briefdescription>
<para>Defined supported CSD driver version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="54" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="54" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1ga705518dd99fb696370b8dae32ccb6a07" kind="define" prot="public" static="no">
        <name>CY_CSD_DRV_VERSION</name>
        <initializer>(100)</initializer>
        <briefdescription>
<para>If CSD driver version not defined by driver then define it here. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="58" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="58" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1ga9d6e1a11f2bd6a660ccf4ff767e18186" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_ID</name>
        <initializer>(CY_PDL_DRV_ID(0x07uL))</initializer>
        <briefdescription>
<para>Middleware ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="67" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="67" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1gaa3c8ba2488a71e7ab976519e39169929" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_BUSY</name>
        <initializer>(0x80u)</initializer>
        <briefdescription>
<para>The CapSense middleware is busy. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="72" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="72" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1ga1bd45eed2be393b7f53c20f1bae2814e" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_NOT_BUSY</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>The CapSense middleware is not busy. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="74" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="74" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1ga24e839ab0e286fd7e0a29e94f400437c" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_ENABLE</name>
        <initializer>(1u)</initializer>
        <briefdescription>
<para>Feature enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="77" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="77" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1ga67314c7f770734272917dd987bfbb970" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_DISABLE</name>
        <initializer>(0u)</initializer>
        <briefdescription>
<para>Feature disabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="79" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="79" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1gae200b7c77b372a6e02221d90ed2d6435" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_SNS_TOUCH_STATUS_MASK</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>Sensor active status mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="82" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="82" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1gaf56cec4f93d99e05d6b9197533a04c4e" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_SNS_PROX_STATUS_MASK</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Proximity active status mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="84" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="84" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1gad47321d5011cc28ee15d2148c62af66f" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_WD_ACTIVE_MASK</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>Widget active status mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="86" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="86" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1ga0a84bc1036114a86ad2806f69110709d" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_WD_DISABLE_MASK</name>
        <initializer>(0x02u)</initializer>
        <briefdescription>
<para>Widget disable status mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="88" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="88" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__general_1ga00a019887f9b20124c916b3a2f431fdd" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_WD_WORKING_MASK</name>
        <initializer>(0x04u)</initializer>
        <briefdescription>
<para>Widget working status mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="90" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-capsense/cy_capsense_common.h" line="90" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>General macros. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>